Category: Projects Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

As project managers, we are going to project list page 100x per day. This page need some improving, because it's very frequently

used in some companies, like as. Imagine, we have more that 100 projects, so now it's a bit uncomfortable to walk thru very long list

of projects.

Some ideas/recommendations:

Split list into several columns - now we have very narrow but looong list, and we need to scroll & scroll...

Favorite projects or "last used" projects. It should be great to have ability to mark some projects as my favorite and filter them,

or there can be such an automated list of projects, on which I have been active in last 14 days (time period configurable)

Different views can be put into tabs, or movable boxes like on "My page".

What others think?

Related issues:

Related to Redmine - Feature #7339: Add a favorites Project list. Closed 2011-01-15

Related to Redmine - Feature #7091: Tree view of the project list / grouping ... Closed 2010-12-10

Related to Redmine - Feature #5839: Trackers for projects. To track projects ... New 2010-07-08

Related to Redmine - Feature #9207: Ability for administrator to hide project... Closed 2011-09-08

Related to Redmine - Patch #9697: Projects list with progress Resolved

Related to Redmine - Feature #2117: Alternative view for "Projects" page Closed 2008-10-31

Related to Redmine - Feature #12789: Redmine - design study New

Related to Redmine - Feature #5920: Unify and improve cross-project views layout Closed 2010-07-21

Related to Redmine - Feature #6655: Add filter for projects view page Closed 2010-10-13

Related to Redmine - Feature #29482: Query system for Projects page Closed

Has duplicate Redmine - Feature #9075: Columns for project view Closed 2011-08-17

Has duplicate Redmine - Feature #3174: Project category tree Closed 2009-04-15

Has duplicate Redmine - Feature #6319: project categories Closed 2010-09-07

History

#1 - 2009-04-23 13:32 - Alessandro Hecht

+1

#2 - 2009-04-23 22:26 - Stefan Verstege

+1

#3 - 2009-04-24 08:33 - Zarooba Rozruba

1+

I have 200+ public projects. Each project has own group of people.  Hence my ideas/needs are:

Can 'My Page' list projects I am involved in? (not just my issues + watched issues + issues assigned to me)

Can there be issue list that shows all issues, but only in projects I am involved in?

#4 - 2009-04-24 11:11 - Toni Kerschbaum

Some time ago I made the dame request: http://www.redmine.org/issues/2117. Maybe the tickets could be merged/linked?
Unfortunately, the request didn't get any attention, so I ended up modifying the projects view into a nested table ( which broke with the update to 0.8

due to the new project model).

So, naturally: +1

#5 - 2009-04-28 16:28 - Caroline Boisson | Altic

Same issue, even if we're not at 100 projects per day.

+1 for "my project" on "my page"

but also for folder tree somewhere on the "project"page

#6 - 2009-07-20 01:09 - Anonymous

Maybe a 2 column view;

Recently Active

Latest Projects

Limit the display to x amount of projects with a button/link to view more

And then a filter at the top with some options such as:

Category

Project Status

Project managers would of course have to fill in the above for their own projects.

Categories would probably need to be set by the administrator and project managers can select from a list.

Alternately, the categories could be defined by project managers to create a tag cloud.

By the way, issue is related to: #2117 & #3174

#7 - 2009-10-22 09:51 - Olivier THIERY

After only a few months, we are getting lots of projects too. A project tree is a good idea, but a bit too limited to our opinion.

What would be great is a project list with filtering and grouping features similar to those already existing on tickets lists. We have heavily extended the

projects configuration with custom properties, though it's not perfect yet. So the ideal filtering and grouping features on projects should be able to

handle both standard and custom properties.

#8 - 2010-09-21 19:10 - Eugniy Belyaev

Also, I would like project list to be more informative: tickets/version summary (like jira), status(open/closed/etc)

What should we do to have this ticket done?

#9 - 2011-12-12 17:24 - Etienne Massip

- Target version set to Candidate for next major release

#10 - 2011-12-13 10:54 - Terence Mill

There is a plugin which will do it:

https://github.com/syntacticvexation/redmine_favourite_projects

#11 - 2011-12-15 12:11 - Eric Voisard

+1

And while you're in, add project status such as "closed", "on hold", etc... So that sorting or filtering a huge list of projects would be even more easier.

See issues: #3640, #5541, #7100 and other closed dups #4202, #9082

Thanks

#12 - 2011-12-29 11:40 - Paul Mureev

+1

Split list into several columns - now we have very narrow but looong list, and we need to scroll & scroll...

All of us has wide displays, columns are really required to avoid long scroll.

Also I think it will be good to move "hot" projects on top. (I mean projects I accessed more often during last 30 days)

#13 - 2012-04-03 10:06 - max munter
+1

Might be related as well: #9697

#14 - 2012-04-24 00:13 - Motaz Abuthiab

+1

#15 - 2012-06-06 13:43 - Radek Karban

+1

#16 - 2012-07-09 19:14 - Colin Hankins

+1

#17 - 2012-08-22 14:23 - François Bélingard

+1

#18 - 2012-09-19 10:46 - Rolf Bagge

+1

#19 - 2012-09-19 13:38 - fred white

+1

also will be great to integrate "chosen" for the select list, in order to look into the list by typing the project directly

http://harvesthq.github.com/chosen/

check the transform of the standard select into the chosen select it will be awesome

#20 - 2012-09-19 21:59 - Den Iskandarov

+1

Have some major projects as containers with smaller subprojects.

list of subrojects is endless. so on main projects page it needs to scrol to find major project container.

And what about main project overview where it lists suprojects? How many lines of listing does it has?

"Projects" and project's "Overview" pages need expend/collapse features.

And needs some well designed search or jump-list for projects.

+1 for:

also will be great to integrate "chosen" for the select list

solves search/jump-list problem

#21 - 2012-10-18 18:31 - Sebastian Hucke

+1, very urgent feature for internal company use.

We definately know the descriptions of our projects... would be nice to see some informative data instead (overall progress, status, spent time etc.).

Would be even nicer if sub-projects were collapsable per parent node.

#22 - 2012-10-31 08:30 - Stéphane POTTIER

+1

It would be great to personalize the project list by using custom field on projects in blocks (group by, order by).

thanks

#23 - 2012-12-06 10:43 - Bruno Spyckerelle

+1

And I would add that the ability to extract a list of projects matching some criteria (as we do with actions reports) is also necessary.

#24 - 2012-12-11 22:11 - Markus Buchner

+20

#25 - 2012-12-25 08:41 - Dima Volotskoy
+1 for favorite projects

#26 - 2012-12-31 11:35 - Ilya Tsemenko

+1 to issue, and to Sebastian Hucke & Stéphane POTTIER.

#27 - 2013-01-09 17:28 - Dmitry Babenko

Checkout Progressive Projects List plugin. It aims to provide a better project list.

#28 - 2013-01-29 07:40 - Den Iskandarov

+100500

we are using redmine for any kind of project management

some kind of bureaucratic daily new projects for employees

some technical projects for tech team with daily tasks update

usability for now is "terrible" with such long project list, and long task lists under each project.

but we still using redmine because this soft is one of the greatest open source projects!

add some kind of max entries per page, +pages 1,2,3,...etc

#29 - 2013-02-26 18:55 - Pavel Lautsevich

+1

#30 - 2013-02-26 19:26 - Pavel Lautsevich

+1 The current solution is very unuseful.

#31 - 2013-05-06 01:48 - Cédric B

try to use http://redminecrm.com/projects/favoriteprojects/pages/1 work for me on Redmine 2.3

(not perfect but ajax refresh tool is really usefull when searching into many projects)

#32 - 2013-05-06 06:31 - Jean-Baptiste Barth

I'm totally in with this thread, and willing to help improve this, probably not for 2.4.0, but maybe for the next one (will depend on what we do and

feedback...). I like the idea of a more structured view for the project list, it might be far better when you have 100+ projects.

Can any people interested in this kind of view try this plugin: redmine_better_crossprojects and tell me what they think ? There's a screenshot on the

plugin page. It's still a work in progress :

the fact that the list is filtered in pure-JS and not AJAX is probably not a good idea with 500 projects for instance...

the activity section is also purely experimental, though I use it in production at work

the view is fragment-cached, precisely because of the activity thing, which may not be desirable for redmine core

#33 - 2013-05-06 08:25 - Pavel Lautsevich

Jean-Baptiste, very promising solution! I will wait for the release!

#34 - 2013-08-09 15:29 - Bruce Svare

My company is using: https://github.com/ande3577/redmine_another_my_projects which I find to be a rather nice intermediate solution. Each user

can choose from three different view. 1) All projects, 2)My Projects, 3)Favorite Projects. This can be easily changed by clicking on links int the

sidebar. Favorites can be added by opening project and clicking add to favorites.  This has proven useful to manage our 200+ project instance.

#35 - 2013-09-27 01:57 - Anonymous

+1

#36 - 2013-09-30 12:01 - Andriy Lesyuk

I have created the Project Sections plugin, which does some things of the requested above. In particular, it splits the project list into sections.

Also:

Something like the folder tree, mentioned by Caroline, is represented by the jumb box, which is put on top of the project list.

The plugin resembles much, what was described by Mike K.

I believe, this plugin can potentially resolve issues described by Den Iskandarov.

Of course, it does more than just altering the project list. Its main goal is to allow categorizing projects and, therefore, replacing dummy projects,

which are used as categories.

See: http://projects.andriylesyuk.com/projects/project-sections/wiki
#37 - 2013-10-02 09:44 - Toshi MARUYAMA

- Related to deleted (Feature #3174: Project category tree)

#38 - 2013-10-02 09:44 - Toshi MARUYAMA

- Has duplicate Feature #3174: Project category tree added

#39 - 2013-10-02 09:48 - Toshi MARUYAMA

- Description updated

#40 - 2013-10-02 09:52 - Toshi MARUYAMA

- Has duplicate Feature #6319: project categories added

#41 - 2013-10-30 17:27 - Kent Ou

I revised serval lines code in 2.3.3 to get this effect. It works for me to manage around 30+ projects without much scrolling.

Parent Project A

Sub Project 1,  Sub Project 2,  Sub Project 3, ...

Parent Project B

Sub Project 1,  Sub Project 2,  Sub Project 3, ...

 Revision:

1) edit /2.3/app/helpers/projects_helper.rb, remove line 58~61 to hide project descriptions.

if project.description.present?

s << content_tag('div', textilizable(project.short_description, :project => project), :class => 'wiki description')

end

s

 2) edit /2.3/public/stylesheets/application.css, add float and clear at line 431~432 like below.

#projects-index ul.projects li.root {margin-bottom: 1em; clear:left}

#projects-index ul.projects li.child {margin-top: 1em;display:block;float:left}

 3) restart Redmine.

#42 - 2013-11-26 15:28 - Fabien Potiquet

+1

#43 - 2015-04-09 09:23 - 旭 張

We need this feature too!

We wanna design a status for projects, according to the statuses, to split projects into several columns.

#44 - 2015-04-20 11:14 - Òscar Casajuana

+1

#45 - 2015-07-03 19:08 - Zer Guz

+1 Should be more similar to administrative projects list

#46 - 2015-07-07 10:07 - Jean Louis

+1 (have also hundreds of projects and subprojects)

plugin "administrative projects list" is not enough unfortunately

plugin "project_section" not yet updated for Redmine 3.x

old plugin "favorite_projects"

plugin redmine_another_my_projects not yet validated on Redmine 3.x

I think it lacks maybe a filter for this project list for each user account

or

maybe a first level overview (as I see it in overview of each project) in the global projects list

[Global Project List (actual)]

Project A

2025-07-06 5/7



Subproject A-1

Subproject A-1-1

...

Subproject A-2

...

Project B

Subproject A-1

Subproject A-2

...

...

may be :

[Project List]

Overview

Subprojects: Project A, Project B, ... (and maybe a user filter here?)

Issue tracking

...

In fact, to do this for me, I have created a top project "global" and my default redmine projects URL is not "domain.tld/projects" but

"domain.tld/projects/global" and I see global overview !

Greetings, JL (french user).

#47 - 2016-03-17 11:05 - Sebastian Paluch

I would say that "Projects" page should be just like an issue list, with filters, custom queries, parent hierarchy, configurable columns, etc.

Currently, I'm using this plugin but it has small issues and they don't have the best support.

#48 - 2016-03-17 11:07 - 旭 張

Maybe it should be a mega menu ?

#49 - 2016-03-29 06:10 - Toshi MARUYAMA

- Related to Feature #22121: Add a quick search of projects in Projects page added

#50 - 2016-04-04 14:54 - Kush Suryavanshi

I second Sebastian Paluch. Please bring filter capacity to Projects page - along with export option to pdf\csv.

#51 - 2016-05-25 17:32 - Francisco Vega

Hello Guys. I'm new on this.

As far as I see, is a must to improve the project lists. What can be done is to include:

- Programs

- Portfolios

Also, it could be useful to have fields like Area or Department to filter the projects.

#52 - 2016-06-21 17:39 - Toshi MARUYAMA

- Related to Feature #6655: Add filter for projects view page added

#53 - 2016-06-21 17:45 - Toshi MARUYAMA

- Related to deleted (Feature #22121: Add a quick search of projects in Projects page)

#54 - 2017-04-27 18:36 - Sergey Gnuskov

+1

#55 - 2018-04-09 15:28 - Pablo Kycina

+1

Just some ideas:

1. A possibility to to create bookmarks to projects and views (e.g. Issues in subproject1/subproject21)? The most suitable place to place these

bookmarks seems to be left from the search and jump to project boxes.

2. Redmine's treelike view of the projects and subprojects (displayed after navigating to site/project URL) could be expanded also for subprojects (e.g.

URL site/project/subproject1 or URL site/project/subproject?view=tree).
#56 - 2019-04-20 10:04 - Samuel BOHN

May I suggest to add tagging functionality to projects

It could be added with act_as_taggable_on, or written from scratch.

it will let people customize their tags regarding their own corporate structure, each tag could have a separate color associated to it.

#57 - 2019-09-13 15:09 - Sebastian Paluch

related to #29482

#58 - 2019-09-13 16:23 - Mischa The Evil

- Related to Feature #29482: Query system for Projects page added

#59 - 2020-02-15 09:18 - Go MAEDA

- Status changed from New to Closed

- Target version deleted (Candidate for next major release)

- Resolution set to Fixed

Maxim Krušina wrote:

Split list into several columns - now we have very narrow but looong list, and we need to scroll & scroll...

 Implemented in Redmine 4.0.0 (r15910).

Favorite projects or "last used" projects. It should be great to have ability to mark some projects as my favorite and filter them, or there can

be such an automated list of projects, on which I have been active in last 14 days (time period configurable)

 Bookmark and "Recently used projects" were implemented in Redmine 4.1.0 (#31355).

Since the latest version of Redmine has both requested feature, I am closing this issue.
